Subject: Re: bug#46804: 27.1; Man page for git-config(1) is partly displayed in overstriked font

From: Tim Landscheidt <[email-masked]>
Date: Sun, 28 Feb 2021 05:33:53 +0000

Lars Ingebrigtsen <[email-masked]> wrote:

>> On (my) Fedora 32:

>> | emacs -Q --eval '(man "1 git-config")'

>> causes the part of the man page for git-config(1) from the
>> section title "CONFIGURATION FILE" to the word "prereceive"
>> in the entry for "receive.certNonceSlop" to be displayed in
>> overstriked font.

> I'm unable to reproduce this on Debian/bullseye -- the manual here
> doesn't have the word "prereceive" in it, apparently...

Well, if I had copied & pasted "pre-receive" correctly … :-)
(NB: I could /not/ reproduce this in a Debian Buster contai-
ner.)

> […]

> I'm not very familiar with man.el fontification, but it uses ansi-color
> for fontification.  And that got the following change in Emacs 28:

> commit 2e2a8e5491bc6259a9ebe8c703c1c501307953e2
> Author:     Jim Blandy <[email-masked]>
> AuthorDate: Tue Oct 20 13:09:16 2020 +0200

>     Man highlighting: Don't occasionally bold entire sections.

>     * lisp/ansi-color.el (ansi-color-apply-on-region): Always save a
>     restart position in ansi-color-context-region if the region ends with
>     highlighting active.

> So it's possible what you're seeing has been fixed in Emacs 28.  Would
> it be possible for you to build the development version of Emacs and see
> whether the problem is still present there?

I have tested master and it works, and then backported
2e2a8e5491bc6259a9ebe8c703c1c501307953e2 to 27.1, and it
fixes the issue.